<?php

$title = 'Биллинг панель';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Переадресация для гостей-----//
if(!$user['id']) {
header('Location: /');
exit();
}



echo '<div class="title"><a href="'.$HOME.'/billing/">'.$title.'</a> | Новая рекламная ссылка</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$url = strong($_POST['url']);
$time_srok = strong($_POST['time_srok']);
$color = strong($_POST['color']);

$times = $time_srok * 86400;
$time_end = time() + $times;

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки!</b></center></div>';
require_once ('../../system/footer.php');
exit();
}

if(empty($url)) {
echo '<div class="podmenu"><center><b>Введите ссылку!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($time_srok)) {
echo '<div class="podmenu"><center><b>Введите время активности ссылки!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($time_srok)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 50) {
echo '<div class="podmenu"><center><b>Введите название рекламной ссылки от 3 до 1000 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_array(mysql_query('select * from `ads` where  `name` = "'.$name.'" and `url` = "'.$url.'"'));
if($sql != 0) {
echo '<div class="podmenu"><center><b>Такая рекламная ссылка уже есть!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
$money = $time_srok * 5;
if($user['money']<$money )
{
echo '<div class="podmenu"><center><b>У вас недостаточно средств для покупки!<br /> На вашем счету '.$user['money'].' рублей</b></center></div>';
require_once ('../system/footer.php');
exit();
}
mysql_query("INSERT INTO `ads` SET `name` = '".$name."',`url` = '".$url."', `color` = '".$color."', `time_srok` = '".$time_end."',`kogda` = '".time()."'");
mysql_query("UPDATE `users` SET `money` = '".($user['money']-$money)."' WHERE `id` = '$user[id]' LIMIT 1");

mysql_query("INSERT INTO `ar` SET `prichina` = 'Покупка рекламы', `kto` = '".$user['id']."', `kom` = '-5 + ".$time_srok." дней'");
echo '<div class="podmenu"><center><b>Рекламная ссылка успешно добавлена!</b></center></div>';
}
echo '<div class="podmenu">
Стоимость рекламы в день: <b><font color="red">5</font> <font color="green">Рублей *</font></b><br />
<form action="" method="POST">
<br />* Название ссылки: <br /> <input type="text" name="name" maxlength="1000" /><br />
* Ссылка на ваш сайт (с http://): <br /> <input type="text" name="url" maxlength="1000" /><br />
* Время активности (в днях): <br /> <input type="text" name="time_srok" maxlength="3" /><br />
* Код цвета рекламы : <br /> <input type="text" name="color" maxlength="97011" /><br />
<input type="submit" name="submit" value="Добавить">
</form></div>';
echo '<div class="links"> В рекламе запрещено</br>
1. Ссылка на сайт схожей с
нашей тематикой.</br>
2. Ссылка на эротический(хХх порно сайты).</br>
3. Ссылка с матом (оскорбление пользователей)</br>
4. На порталы нарушающие УК РФ.</br>
<b>Рубли это ваш внутрений баланс из можно купить тут : <font color="red"><a href="/worldkassa">Пополнить баланс</a></font>.</b></br>
<b>При не выполнение правил заказа рекламы, ваша реклама будет сниматься без
возращения средств.</b></div>';

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>



